Analytics
Retrieve account-level build and screenshot metrics over time.
Retrieve build and screenshot metrics for an account. The personal access token must be scoped to the account.
Authenticate as a user with a personal access token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <personal-access-token>
Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.
Slug of the account to retrieve analytics for.
Start of the analytics period, as an ISO 8601 datetime.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$End of the analytics period, as an ISO 8601 datetime. Defaults to the current time.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Time period used to group each series data point.
Optional project name filter. Pass one value or repeat the parameter for multiple projects.
^[a-zA-Z0-9_\-.]+$Account analytics
Invalid parameters
Unauthorized
Server error
GET /v2/accounts/{accountSlug}/analytics?from=2026-01-01T00%3A00%3A00.000Z&groupBy=day HTTP/1.1
Host: api.argos-ci.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"screenshots": {
"series": [
{
"total": 1,
"projects": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"storybook": 1,
"ts": 1
}
],
"all": {
"total": 1,
"projects": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"storybook": 1
},
"projects": [
{
"id": "text",
"name": "text"
}
]
},
"builds": {
"series": [
{
"total": 1,
"projects": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"changesDetected": 1,
"noChanges": 1,
"accepted": 1,
"rejected": 1,
"ts": 1
}
],
"all": {
"total": 1,
"projects": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"changesDetected": 1,
"noChanges": 1,
"accepted": 1,
"rejected": 1
},
"projects": [
{
"id": "text",
"name": "text"
}
]
}
}Last updated
Was this helpful?